io.vertx.ext.json.schema.common

## Class BaseMutableStateValidator

- java.lang.Object
- - io.vertx.ext.json.schema.common.BaseMutableStateValidator

- All Implemented Interfaces:
    AsyncValidator, MutableStateValidator, PriorityGetter, SyncValidator, Validator
  Direct Known Subclasses:
    BaseCombinatorsValidator, BaseSingleSchemaValidator, SchemaImpl

      public abstract class BaseMutableStateValidator
      extends Object
      implements MutableStateValidator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseMutableStateValidator(MutableStateValidator parent)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `calculateIsSync()`
    `protected void` | `checkSync()`
    `MutableStateValidator` | `getParent()` Returns the parent of this schema.
    `ValidatorPriority` | `getPriority()` Returns the priority
    `protected void` | `initializeIsSync()`
    `boolean` | `isSync()` Returns true if this validator can actually provide a synchronous validation
    `void` | `triggerUpdateIsSync()` Manually trigger the sync state update
    `protected Future<Void>` | `validateSyncAsAsync(ValidatorContext context, Object in)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.json.schema.common.AsyncValidator

      `validateAsync`

    - ### Methods inherited from interface io.vertx.ext.json.schema.common.SyncValidator

      `validateSync`

- - ### Constructor Detail

    - #### BaseMutableStateValidator

          public BaseMutableStateValidator(MutableStateValidator parent)

  - ### Method Detail

    - #### calculateIsSync

          public abstract boolean calculateIsSync()

    - #### validateSyncAsAsync

          protected Future<Void> validateSyncAsAsync(ValidatorContext context,
                                                     Object in)

    - #### initializeIsSync

          protected void initializeIsSync()

    - #### triggerUpdateIsSync

          public void triggerUpdateIsSync()

      Description copied from interface: `MutableStateValidator`
      Manually trigger the sync state update
      Specified by:
        `triggerUpdateIsSync` in interface `MutableStateValidator`

    - #### getParent

          public MutableStateValidator getParent()

      Description copied from interface: `MutableStateValidator`
      Returns the parent of this schema. This is required for sync state update
      Specified by:
        `getParent` in interface `MutableStateValidator`
      Returns:

    - #### checkSync

          protected void checkSync()
                            throws ValidationException,
                                   NoSyncValidationException

      Throws:
        `ValidationException`
        `NoSyncValidationException`

    - #### isSync

          public boolean isSync()

      Description copied from interface: `Validator`
      Returns true if this validator can actually provide a synchronous validation
      Specified by:
        `isSync` in interface `Validator`
      Returns:

    - #### getPriority

          public ValidatorPriority getPriority()

      Description copied from interface: `PriorityGetter`
      Returns the priority
      Specified by:
        `getPriority` in interface `PriorityGetter`
      Returns:

Copyright © 2020 Eclipse. All rights reserved.